Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria
Interface ParameterRegistry

    public interface ParameterRegistry

A registry for parameters. In criteria queries, parameters must be actively seeked out as expressions and predicates are added to the `CriteriaQuery`; this contract allows the various subcomponents to register any parameters they contain.

Author:
  Steve Ebersole

Method Summary
`void` | `registerParameter(javax.persistence.criteria.ParameterExpression<?> parameter)` Registers the given parameter with this regitry.

Method Detail

### registerParameter

    void registerParameter(javax.persistence.criteria.ParameterExpression<?> parameter)

  Registers the given parameter with this regitry.

  Parameters:
    `parameter` - The parameter to register.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.